Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 1794)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 1795)
@@ -317,6 +317,7 @@
 	 * @param colseparator the colseparator
 	 * @param txtseparator the txtseparator
 	 */
+	@Deprecated
 	public void exportData(File f, String colseparator, String txtseparator) {
 		try {
 			org.txm.statsengine.r.core.RWorkspace
@@ -615,8 +616,8 @@
 t3 <- t2[1:nrow(t2),];
 colnames(t3) <- header;
  */
-		rw.voidEval("tmpmat <- as.matrix(read.table(file=\"" + path + "\", quote=\""+txtseparator.replace("\"", "\\\"")+"\", sep=\""+colseparator+"\", row.names=1, skip=1, fileEncoding=\""+encoding+"\"));"); //$NON-NLS-1$ //$NON-NLS-2$
-		rw.voidEval("tmpheader <- scan(file=\"" + path + "\", what = character(), nlines=1, quote=\""+txtseparator.replace("\"", "\\\"")+"\", sep=\""+colseparator+"\", fileEncoding=\""+encoding+"\");"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.voidEval("tmpmat <- as.matrix(read.table(file=\"" + path + "\", sep=\""+colseparator+"\", row.names=1, skip=1, fileEncoding=\""+encoding+"\"));"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.voidEval("tmpheader <- scan(file=\"" + path + "\", what = character(), nlines=1, sep=\""+colseparator+"\", fileEncoding=\""+encoding+"\");"); //$NON-NLS-1$ //$NON-NLS-2$
 		rw.voidEval("tmpheader <- tmpheader[2:length(tmpheader)];"); //$NON-NLS-1$
 		rw.voidEval("tmpmat <- tmpmat[1:nrow(tmpmat),];"); //$NON-NLS-1$
 		rw.voidEval("colnames(tmpmat) <- tmpheader"); //$NON-NLS-1$
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 1794)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 1795)
@@ -339,7 +339,7 @@
 			return true;
 
 		} catch (Exception err) {
-			Log.severe(NLS.bind("Full text display failed: {0}", err)); //$NON-NLS-1$
+			Log.severe(NLS.bind("** Text display failed: {0}", err)); //$NON-NLS-1$
 			Log.printStackTrace(err);
 		}
 		return false;
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1794)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1795)
@@ -319,7 +319,9 @@
 				buff.append("<li> " + s + " : "); //$NON-NLS-1$ //$NON-NLS-2$
 				for (String v : propertiesValues.get(s))
 					buff.append(v + ", "); //$NON-NLS-1$
-				buff.append("..."); //$NON-NLS-1$
+				if (propertiesValues.get(s).size() >= this.pMaxPropertiesToDisplay) {
+					buff.append("..."); //$NON-NLS-1$
+				}
 				buff.append("</li>\n"); //$NON-NLS-1$
 			}
 		}
@@ -373,6 +375,11 @@
 					subbuffer.append("</li>\n"); //$NON-NLS-1$
 				}
 			}
+			
+			if (properties.size() == 0) {
+				subbuffer.append("<p>--</p>\n"); //$NON-NLS-1$
+			}
+			
 			subbuffer.append("</ul>\n</li>\n"); //$NON-NLS-1$
 			if (nbOfValues > 0) {
 				buff.append(subbuffer);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 1794)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 1795)
@@ -47,9 +47,10 @@
 import org.txm.rcp.editors.input.SVGGraphicEditorInput;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
-// TODO: Auto-generated Javadoc
 /**
- * open a SVG file in an editor @ author mdecorde.
+ * open a SVG file in an editor 
+ * 
+ * @author mdecorde.
  */
 //FIXME: SJ: this class doesn't work anymore
 //FIXME: SJ: this souldn't use TXMEditor system
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 1794)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 1795)
@@ -127,6 +127,7 @@
 		if (currentMonitor != null) {
 			currentMonitor.done();
 		}
+		
 	}
 	
 	public void acquireSemaphore() {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1794)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1795)
@@ -1032,7 +1032,6 @@
 
 		List<TXMResult> results = this.getResult().getDeepChildren();
 
-
 		for (int i = 0; i < results.size(); i++) {
 			ArrayList<TXMEditor> editors = SWTEditorsUtils.getEditors(results.get(i)) ;
 			for (int j = 0; j < editors.size(); j++) {
